-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt


local M = {}

local helper = require('scenario/scenariohelper')
local running = false
local playerWon = false
local scenario = nil
local function setup()
    ai_cop = scenetree.findObject('ai_cop')
    suspect=scenetree.findObject('suspect')
    player=scenetree.findObject('scenario_player0')
    suspectId=suspect:getId()
    ai_copId=ai_cop:getId()
    ai_cop:queueLuaCommand('ai.setMode("chase")')
    ai_cop:queueLuaCommand('ai.setTargetObjectID('..suspectId..')')
    suspect:queueLuaCommand('ai.setMode("flee")')
    suspect:queueLuaCommand('ai.setTargetObjectID('..ai_copId..')')
    ai_cop:queueLuaCommand('electrics.set_lightbar_signal(2)')
    ai_cop:queueLuaCommand('electrics.setLightsState(2)')
    suspect:queueLuaCommand('electrics.setLightsState(1)')
    player:queueLuaCommand('powertrain.getDevice("mainEngine"):disable()')
    print("Chase initiated")
end

--M.onRaceStart = onRaceStart
--M.onRaceInit = onRaceInit
--M.onRaceTick = onRaceTick
--M.onRaceResult = onRaceResult
--M.onRaceWaypoint = onRaceWaypoint
M.onScenarioRestarted = setup
M.onScenarioLoaded = setup
M.onReset = setup
return M
